Does someone knows if the japanese version of the 25th anniversary of TLoZ SS is compatible with the US version of the Wii ?

I want to buy the japanese version, but I also want to play with it so I need to know if it's posible to do that or if I need to buy the US version of it. Please I need help.

Attachment image

2 Answers

Relevance
  • Anonymous
    9 months ago

    Nintendo Wii is region locked meaning only NTSC versions will play on US version of the Wii.

    • Commenter avatarLog in to reply to the answers
  • 9 months ago

    It is not compatible. You need the US version to play on a US Wii.

    • Andrey9 months agoReport

      Thanks !!!
      This is for every title right ?

    • Commenter avatarLog in to reply to the answers
Still have questions? Get answers by asking now.